Bug 91979 - [UPDATE] graphics/spcaview to 20060101 (0.4)
Summary: [UPDATE] graphics/spcaview to 20060101 (0.4)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-01-19 00:00 UTC by Martin Matuska
Modified: 2006-02-19 13:18 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Matuska 2006-01-19 00:00:18 UTC
- update to version 20060101 (0.4)
- supports new webcams (in pkg-descr from website)
- tested on i386+amd64	
- patch author has moved his website

Fix: 

-WWW: http://www2.starcat.ne.jp/~takam/bsd/NetBSD.html#spca561
+WWW: http://www.medias.ne.jp/~takam/bsd/NetBSD.html#spca561--UAc2HMig4KMJmYyDBJt6jeGbqOxEzcO92WHQuawXQ4jil6Oo
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

--- graphics/spcaview/Makefile.orig	Thu Jan 19 00:38:51 2006
+++ graphics/spcaview/Makefile	Thu Jan 19 00:39:06 2006
@@ -6,12 +6,12 @@
 #
 
 PORTNAME=	spca5xx
-PORTVERSION=	20050206
+PORTVERSION=	20060101
 CATEGORIES=	graphics
 MASTER_SITES=	http://mxhaard.free.fr/spca50x/Download/
 
-PATCH_SITES=	http://www2.starcat.ne.jp/~takam/bsd/
-PATCHFILES=	spca5xx-bsd-0.3b.patch.gz
+PATCH_SITES=	http://www.medias.ne.jp/~takam/bsd/
+PATCHFILES=	spca5xx-bsd-0.4.patch.gz
 PATCH_DIST_STRIP=	-p3
 
 MAINTAINER=	mistral@imasy.or.jp
--- graphics/spcaview/distinfo.orig	Thu Jan 19 00:38:54 2006
+++ graphics/spcaview/distinfo	Thu Jan 19 00:39:11 2006
@@ -1,4 +1,4 @@
-MD5 (spca5xx-20050206.tar.gz) = 309b55f83238147ce2d0ff82961f1ce9
-SIZE (spca5xx-20050206.tar.gz) = 147019
-MD5 (spca5xx-bsd-0.3b.patch.gz) = 50f08ce2e320c61f5675e1c9b25fb6a7
-SIZE (spca5xx-bsd-0.3b.patch.gz) = 25917
+MD5 (spca5xx-20060101.tar.gz) = 2a4dc191262c16c14bfd2fd563c3e8a1
+SIZE (spca5xx-20060101.tar.gz) = 184897
+MD5 (spca5xx-bsd-0.4.patch.gz) = c5cc69c2901963fc5f5b557c8018f513
+SIZE (spca5xx-bsd-0.4.patch.gz) = 30214
--- graphics/spcaview/pkg-descr.orig      Thu Jan 19 00:46:00 2006
+++ graphics/spcaview/pkg-descr   Thu Jan 19 00:46:13 2006
@@ -10,15 +10,18 @@
        Vendor  Device  Product Name
        ------  ------  ------------
        0x041e  0x403a  Creative webcam nx pro
-       0x04fc  0x0561  FlexiCam B100
+        0x046d  0x0928  Logitech QuickCam Express II
+        0x046d  0x092c  Logitech QuickCam chat
        0x0572  0x0041  Creative webcam notebook PD1170
        0x060b  0xa001  Maxell CompactPC Camera PM3
        0x0733  0x0401  Intel CS330
+        0x0923  0x010f  Che-ez! Webbie(NHJ)
+        0x0923  0x010f  SNAKE EYE SI-8480/8481
+        0x0923  0x010f  PC CAM CP03(global sources)
+        0x0923  0x010f  WEB Camera PBC0006(persol)
        0x0ac8  0x301b  LOAS MCM-H06SL
-       0x0ac8  0x301b  sanwa CMS-V11
-       0x0c45  0x6025  LOAS MCM-S02SL ( 352x288 not worked )
-       0x0c45  0x6025  VGA WEB CAMERA "WEB CAM." ( 352x288 not worked )
+        0x0c45  0x6025  LOAS MCM-S02SL
        0x0c45  0x6029  Raccoon AM-ST3
        0xabcd  0xcdee  SIGMA-APO Petcam
Comment 1 Edwin Groothuis freebsd_committer 2006-01-19 00:04:14 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Yoshihiko Sarumaru 2006-01-23 15:01:09 UTC
Hi,

It looks and works fine.
Please commit it.

thanks,


Edwin wrote:

> Maintainer of graphics/spcaview,
> 
> Please note that PR ports/91979 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
> 
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/91979
> 
> -- 
> Edwin Groothuis
> edwin@FreeBSD.org
--
sarumaru
Comment 3 bsd 2006-02-09 11:01:21 UTC
Please note ports/92955 - download directory has changed when new version was 
released, again... we have no patch for 20060202 yet, but with both patches 
together port compiles and installs cleanly... I have no possibility to test 
functionality yet, sorry.

Regards,
Milan
Comment 4 Erwin Lansing freebsd_committer 2006-02-19 13:18:04 UTC
State Changed
From-To: feedback->closed

COmmitted together with 92955, thanks!